Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_SSL_Connect_Handler Class Reference

Event handler designed to complete non-blocking active connections. More...

`#include <SSL_Connect_Handler.h>`

Inheritance diagram for ACE_SSL_Connect_Handler

[legend]
Collaboration diagram for ACE_SSL_Connect_Handler:

[legend]
List of all members.

## Public Methods
| ACE_SSL_Connect_Handler (ACE_SSL_SOCK_Stream &ssl_stream)
| Constructor.
virtual | ~ACE_SSL_Connect_Handler (void)
| Destructor.
virtual ACE_HANDLE | get_handle (void) const
| Get the handle associated with this event handler.
virtual int | handle_input (ACE_HANDLE fd = ACE_INVALID_HANDLE)
| Called when input events occur (e.g., connection or data).
virtual int | handle_output (ACE_HANDLE fd = ACE_INVALID_HANDLE)
| Called when output events are possible (e.g., flow control abates).
virtual int | handle_close (ACE_HANDLE handle, ACE_Reactor_Mask close_mask)
| Called when a handle_*() method returns -1 or when the remove_handler() method is called on an ACE_Reactor. The close_mask indicates which event has triggered the handle_close() method callback on a particular handle.
## Private Methods
int | ssl_connect (void)
| Perform the SSL connect.
## Private Attributes
ACE_SSL_SOCK_Stream& | ssl_stream_
| Reference to the SSL_SOCK_Stream for which the active connection is being established.

## Detailed Description

Event handler designed to complete non-blocking active connections.

This event handler is used internally by the ACE_SSL implementation. It is not meant for external use.

## Constructor & Destructor Documentation

ACE_SSL_Connect_Handler::ACE_SSL_Connect_Handler ( | ACE_SSL_SOCK_Stream & ssl_stream )

| Constructor.

ACE_SSL_Connect_Handler::~ACE_SSL_Connect_Handler ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

ACE_HANDLE ACE_SSL_Connect_Handler::get_handle ( | void ) const`[virtual]`

| Get the handle associated with this event handler. Reimplemented from ACE_Event_Handler.

int ACE_SSL_Connect_Handler::handle_close ( | ACE_HANDLE handle,
| ACE_Reactor_Mask close_mask )`[virtual]`

| Called when a handle_*() method returns -1 or when the remove_handler() method is called on an ACE_Reactor. The close_mask indicates which event has triggered the handle_close() method callback on a particular handle. Reimplemented from ACE_Event_Handler.

int ACE_SSL_Connect_Handler::handle_input ( | ACE_HANDLE fd = ACE_INVALID_HANDLE )`[virtual]`

| Called when input events occur (e.g., connection or data). Reimplemented from ACE_Event_Handler.

int ACE_SSL_Connect_Handler::handle_output ( | ACE_HANDLE fd = ACE_INVALID_HANDLE )`[virtual]`

| Called when output events are possible (e.g., flow control abates). Reimplemented from ACE_Event_Handler.

int ACE_SSL_Connect_Handler::ssl_connect ( | void )`[private]`

| Perform the SSL connect.

## Member Data Documentation

ACE_SSL_SOCK_Stream & ACE_SSL_Connect_Handler::ssl_stream_`[private]`

| Reference to the SSL_SOCK_Stream for which the active connection is being established.

The documentation for this class was generated from the following files:

- SSL_Connect_Handler.h
- SSL_Connect_Handler.cpp